Subject: Re: [PATCH] net-sysfs: get_netdev_queue_index() cleanup

From: John Fastabend <[email-masked]>
Date: Fri, 11 Sep 2015 13:20:17 -0700

On 15-09-11 01:08 PM, Thadeu Lima de Souza Cascardo wrote:
> Redo commit ed1acc8cd8c22efa919da8d300bab646e01c2dce.
> 
> Commit 822b3b2ebfff8e9b3d006086c527738a7ca00cd0 ("net: Add max rate tx queue
> attribute") moved get_netdev_queue_index around, but kept the old version.
> Probably because of a reuse of the original patch from before Eric's change to
> that function.
> 
> Remove one inline keyword, and no need for a loop to find
> an index into a table.
> 
> Signed-off-by: Thadeu Lima de Souza Cascardo <[email-masked]>
> Fixes: 822b3b2ebfff8e9b3d006086c527738a7ca00cd0
> Cc: Or Gerlitz <[email-masked]>
> Cc: John Fastabend <[email-masked]>
> Cc: Eric Dumazet <[email-masked]>
> ---
> 
> Not sure what is the best way to credit Eric Dumazet here. I assume he will add
> any appropriate tags.
> 

Yep, I guess Or just overlooked this and I missed it in the review when
the patch was submitted.

Thanks!

Acked-by: John Fastabend <[email-masked]>